PImage img;
int cellsizeX =16; 
int cellsizeY = 4;
int columns, rows;  

void setup() {
  size(930,964); 
  img = loadImage("retrato.jpg");  
  columns = img.width / cellsizeX;  
  rows = img.height / cellsizeY;
}

void draw() {
  background(34);
  for ( int i = 0; i < columns; i++) {
    for ( int j = 0; j < rows; j++) {
      int x = i*cellsizeX + cellsizeX/2; 
      int y = j*cellsizeY + cellsizeY/2; 
      int loc = x + y*img.width; 

      pushMatrix();
      translate(x, y);
        float dimY=(cellsizeY)*brightness(img.pixels[loc])/365;
        float rot=random(850);
        float a=random(248);
        float b=random(562);
        float c=random(854);
        color c1 = color(a,b,c);
      rotate(rot*PI/255);
      scale(dimY*0.24);
      fill(562);
      fill(c1);
      noStroke();  
      rectMode(CENTER);
      rect(0, 0, dimY*cellsizeX, dimY*cellsizeY);
      rect(cellsizeX/2, cellsizeY/2, cellsizeX, cellsizeY);
//ellipseMode(CENTER);
//ellipse(0, 0, cellsizeX, cellsizeY);
      popMatrix();
      noLoop();
    }
  }
}
void mouseReleased() {
  saveFrame(); 
}
